# List FX rates **GET /v2/api/fxrates** List all custom FX rates for your account. Optionally filter by external reference and/or currency pair. ## Servers - https://api.maddenanalytics.com: https://api.maddenanalytics.com () ## Authentication methods - Bearer ## Parameters ### Query parameters - **externalReference** (string) Filter by external reference - **fromCurrency** (string) Filter by source currency (e.g. USD) - **toCurrency** (string) Filter by target currency (e.g. EUR) ## Responses ### 200 OK #### Body: application/json (array[object]) - **exchangeDate** (string) - **externalReference** (string) - **fromCurrency** (string) - **fromDate** (string) - **id** (integer) - **rate** (number) - **toCurrency** (string) - **toDate** (string) ### default All errors will return the same object with a describing code & message #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) [Powered by Bump.sh](https://bump.sh)